# $Revision: 1.23 $, $Date: 2006/03/27 12:41:23 $:
Summary:	Technical stock analysis charting app based on the Qt toolkit
Summary(pl):	Program do analiz technicznych giedy oparty na bibliotece Qt
Name:		qtstalker
Version:	0.32
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/qtstalker/%{name}-%{version}.tar.gz
# Source0-md5:	576907bd6299fe0cd9078334e4e5f7f3
Source1:	Qtstalker.desktop
Source2:	%{name}.png
URL:		http://qtstalker.sourceforge.net/
BuildRequires:	db-devel >= 4.2
BuildRequires:	libstdc++-devel
BuildRequires:	qt-devel >= 3.0
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qtstalker is a basic end of day Technical Analysis package with many
features. It compares with similar commercial products like Metastock,
Superchartz, Tradestation (...maybe one day) etc. If you are familiar
with those, then you should be able to muddle along with Qtstalker.

The project has kept to a lean and simple design philosophy in order
to maximize speed, portability and resource usage.

%description -l pl
Qtstalker jest prostym programem do przeprowadzania analiz
technicznych, posiadajcym wiele ciekawych rozwiza. Jest
porwnywalny do podobnych produktw komercyjnych jak Metastock,
Superchartz, Tradestation (...moe ktrego dnia) itd. Jeli jeste
zaznajomiony z nimi, to powiniene sobie take poradzi z Qtstalkerem.

Projekt jest utrzymywany z zaoeniem zachowania prostoty i
przejrzystoci interfejsu obsugi, aby zmaksymalizowa szybko,
przenono i zarzdzanie zasobami.

%prep
%setup -q -n %{name}

%build
export QMAKESPEC="%{_datadir}/qt/mkspecs/linux-g++/"
export QTDIR="%{_prefix}"
export INSTALL_ROOT=$RPM_BUILD_ROOT

for f in `find . -name \*.pro`; do
	sed -i -e 's/^\(QMAKE_CXXFLAGS += -ffast-math \)-Os/\1%{rpmcflags}/' $f
done
sed -i -e 's/^\(QMAKE_CXXFLAGS += -ffast-math \)-Os/\1%{rpmcflags}/'\
	 plugin.config

sed -i -e 's/qtstalker\/html/qtstalker-%{version}/' lib/Config.cpp

qmake -o Makefile qtstalker.pro

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/{chart,co,db,indicator,quote}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/i18n

install lib/libqtstalker.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
install plugins/chart/*/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/chart
install plugins/co/*/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/co
install plugins/db/*/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/db
install plugins/indicator/*/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/indicator
install plugins/quote/*/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/quote
install src/qtstalker $RPM_BUILD_ROOT%{_bindir}
install i18n/*qm $RPM_BUILD_ROOT%{_datadir}/%{name}/i18n

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/{AUTHORS,BUGS,CHANGELOG,TODO,*.html,*.png}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/i18n
%{_datadir}/%{name}/i18n/*
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qtstalker.spec,v $
Revision 1.23  2006/03/27 12:41:23  glen
- rel 3 (libmysqlclient_15)

Revision 1.22  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.21  2005/10/27 17:52:15  arekm
- rel 2

Revision 1.20  2005/06/07 18:36:31  yogib
- updated to 0.32

Revision 1.19  2005/05/22 07:17:18  yogib
- desktop icon changed back to the png format

Revision 1.18  2005/05/21 20:23:56  yogib
- updated to 0.31, removed obsoleted db patch

Revision 1.17  2005/03/12 14:36:19  yogib
- sed regexp fix

Revision 1.16  2005/02/12 16:28:15  yogib
- removed S0-size

Revision 1.15  2005/02/12 16:22:22  yogib
- updated to 0.29, changes in build, updated install

Revision 1.14  2004/11/25 20:26:04  qboosh
- removed bogus XFree86-libs BR

Revision 1.13  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.12  2004/10/01 11:29:03  paladine
- rel 2 for fixed desktop file

Revision 1.11  2004/06/10 16:48:17  yogib
- updated to 0.26, updated db4 patch and added charts

Revision 1.10  2004/04/17 17:25:10  yogib
- updated to 0.25
- changes in %%build and %%install
- changed group

Revision 1.9  2003/07/28 15:02:17  qboosh
- up to 0.20 (for qt 3.x), patched to use system db 4.1

Revision 1.8  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.7  2003/05/28 13:01:34  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/23 08:27:58  qboosh
- removed COPYING (just LGPL... which has nothing to this app) and INSTALL
  (useless) from doc

Revision 1.4  2003/04/21 15:31:16  qboosh
- cleanups, removed Ra-specific _prefix
- shouldn't included db be replaced by using shared system one?

Revision 1.3  2003/02/13 07:23:16  adgor
- Simplifications

Revision 1.2  2003/02/13 01:49:46  ankry
- added %%doc
- desktop moved to a separate file; converted to UTF
- added png icon
- removed icon from locolor dir: it uses too many colors
- avoid quotting
- groupped install's; use proper macros
- rel. 2

Revision 1.1  2003/02/12 22:01:35  adgor
- Initial PLD release (adapterized)
- Created by Yoshi

* Sun Feb  9 2003 Micha Cielicki <yoshi@aip.pl>
- initial spec, buildprocess cosmetics.
- desktop entry for X11 menu + qtstalker icon
- reburdelization of documentation
